# ``twisted`.`conch`.`ssh`.`transport`.`_NullEncryptionContext``

class documentation

`class _NullEncryptionContext: (source)`

View In Hierarchy

An encryption context that does not actually encrypt anything.

Method | `update` | 'Encrypt' new data by doing nothing.

def update(self, data): (source)
'Encrypt' new data by doing nothing.

Parameters
data:`bytes` | The data to 'encrypt'.
Returns
`bytes` | The 'encrypted' data.